////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

var d3d_automaterial = 1; // activate automatic material assignments by material names

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bmap yourDOT3map = <walldot3.tga>; // dot3 bitmap
bmap entSkin3 = <walltexture.tga>; // regular texture used for the wall

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function init_yourDOT3map 
{ 
	bmap_to_mipmap(mtl.skin1); 
} 

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// use a material name that is identical with the name of the wall texture as it appears in the wad file (without the extension!)
// the name of my wall texture from the wad file is "walltexture", so that's the name I am using here
material walltexture 
{
	event = init_yourDOT3map; 
	skin1 = yourDOT3map; 
	Skin3 = entSkin3; 
	effect = 
	" 
		matrix matWorldViewProj; 
		matrix matWorld; 

		texture mtlSkin1; 
		texture entSkin1; 
		texture entSkin2; 
		texture entSkin3; 
		vector vecLight; 

		technique dot3map 
		{ 
			pass p0 
			{ 
				Texture[0] = <mtlSkin1>; 
				Texture[1] = <entSkin2>; 
				Texture[2] = <entSkin1>; 
				Texture[3] = <entSkin3>; 
				TextureFactor = 0xFFFFFFFF; 

				COLOROP[0] = DotProduct3; 
				COLORARG1[0] = Texture; 
				COLORARG2[0] = TFactor; 
				TexCoordIndex[0] = 1; 

				COLOROP[1] = Modulate; 
				COLORARG1[1] = Texture; 
				COLORARG2[1] = Current; 
				TexCoordIndex[1] = 0; 

				magFilter[2]=Linear; 
				minFilter[2]=Linear; 
				mipFilter[2]=Linear; 
				COLOROP[2] = AddSigned; 
				COLORARG1[2] = Texture; 
				COLORARG2[2] = Current; 
				TexCoordIndex[2] = 1; 

				magFilter[3]=Linear; 
				minFilter[3]=Linear; 
				mipFilter[3]=Linear; 
				COLOROP[3] = AddSigned; 
				COLORARG1[3] = Texture; 
				COLORARG2[3] = Current; 
				TexCoordIndex[3] = 1; 
			} 
		} 
	"; 
} 
